import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import cn from 'classnames';
import { Highlight } from 'prism-react-renderer';
import './CodeBlock.css';
import { CopyButton } from './CopyButton.js';
import { FileName } from './FileName.js';
import { Spacer } from './Spacer.js';
import { Toolbar } from './Toobar.js';
export function CodeBlock({ code, children, filename, language = 'bash', className, }) {
    return (_jsxs("div", { className: cn('doc-ui-code-block', className), children: [_jsxs(Toolbar, { children: [_jsx(FileName, { language: language, filename: filename }), _jsx(Spacer, {}), _jsx(CopyButton, { code: code })] }), _jsx(Highlight, { theme: { plain: {}, styles: [] }, code: code || children || '', language: language, children: ({ tokens, getLineProps, getTokenProps, ...rest }) => (_jsx("pre", { ...rest, children: tokens.map((line, i) => (_jsx("div", { ...getLineProps({ line }), children: line.map((token, key) => (_jsx("span", { ...getTokenProps({ token }) }, key))) }, i))) })) })] }));
}
